Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80812 - jfsutils-1.0.17-4.src.rpm fails to build on phoebe
Summary: jfsutils-1.0.17-4.src.rpm fails to build on phoebe
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: jfsutils
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-31 16:48 UTC by Glen A. Foster
Modified: 2013-07-03 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-24 23:52:20 UTC


Attachments (Terms of Use)
Output of "rpmbuild -ba" (deleted)
2002-12-31 16:49 UTC, Glen A. Foster
no flags Details
compile jfsutils-1.0.17 on RH 8.0.92 (deleted)
2003-01-01 05:24 UTC, Jon Willeke
no flags Details | Diff
compile jfsutils-1.0.23 and later on RH 8.0.92 (deleted)
2003-01-01 05:28 UTC, Jon Willeke
no flags Details | Diff

Description Glen A. Foster 2002-12-31 16:48:38 UTC
Description of Problem: SSIA.  Performing a re-build of jfsutils from the SRPM
fails on an everything install of "phoebe".  Build log is attached.

Version-Release number of selected component (if applicable):
# ls -l jfsutils-1.0.17-4.src.rpm
-rw-r--r--    1 root     root       514008 Dec 17 13:07 jfsutils-1.0.17-4.src.rpm
# md5sum jfsutils-1.0.17-4.src.rpm
84c086850709a5f6a33f9a136aaac9db  jfsutils-1.0.17-4.src.rpm

How Reproducible: always (100%)

Steps to Reproduce:
1. Phoebe "everything" install
2. rpm -Uvh {distdir}/SRPMS/jfsutils-1.0.17-4.src.rpm
3. rpmbuild -ba /usr/src/redhat/SPECS/jfsutils.spec

Actual Results:
Out of "rpmbuild -ba" is attached

Expected Results:
Successful build

Comment 1 Glen A. Foster 2002-12-31 16:49:06 UTC
Created attachment 89014 [details]
Output of "rpmbuild -ba"

Comment 2 Jon Willeke 2002-12-31 22:32:40 UTC
Some of the JFS source files declare errno, rather than including <errno.h>.  I
successfully built jfsutils-1.1.0 after changing the following files in libfs:

  * fsssubs.c
  * log_dump.c
  * log_map.c
  * log_read.c
  * logredo.c

I'll try to submit a patch when I get a chance.

By the way, jfsutils-1.0.17 is rather old.  JFS in Linux 2.4.20 is approximately
1.1.0.  If you do update jfsutils to 1.1.0 or later, you'll need to add a
BuildPreReq of e2fsprogs-devel to the spec file for uuid.h.

Comment 3 Jon Willeke 2003-01-01 05:24:37 UTC
Created attachment 89023 [details]
compile jfsutils-1.0.17 on RH 8.0.92

Replaces "extern int errno" with "#include <errno.h>."	Does not apply cleanly
to 1.0.18.

Comment 4 Jon Willeke 2003-01-01 05:28:15 UTC
Created attachment 89024 [details]
compile jfsutils-1.0.23 and later on RH 8.0.92

Replaces "extern int errno" with "#include <errno.h>."	Applies cleanly to
1.0.23 through 1.1.1.

Comment 5 Glen A. Foster 2003-01-24 23:52:20 UTC
Whatever changed, it now builds (phoebe #2).


Note You need to log in before you can comment on or make changes to this bug.